> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Update a system environment

PATCH https://api.getpostman.com/api-catalog/system-environments/{systemEnvironmentId}
Content-Type: application/json

Updates a system environment's information. You can update one or more fields in a single call.

**Note:**

If you update the name, it must be unique within the team.


Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/update-api-catalog-system-environment

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/system-environments/{systemEnvironmentId}:
    patch:
      operationId: updateApiCatalogSystemEnvironment
      summary: Update a system environment
      description: >
        Updates a system environment's information. You can update one or more
        fields in a single call.


        **Note:**


        If you update the name, it must be unique within the team.
      tags:
        - apiCatalog
      parameters:
        - name: systemEnvironmentId
          in: path
          description: The system environment's ID.
          required: true
          schema:
            $ref: '#/components/schemas/systemEnvironmentId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/updateApiCatalogSystemEnvironmentResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateApiCatalogSystemEnvironmentRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateApiCatalogSystemEnvironment'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    systemEnvironmentId:
      type: string
      title: systemEnvironmentId
    updateApiCatalogSystemEnvironment:
      type: object
      properties:
        name:
          type: string
          description: >-
            The system environment's name. This value must be unique within the
            team.
        description:
          type: string
          description: >-
            A description of the system environment. To remove a description,
            pass this value as an empty string.
        color:
          type: string
          description: A six-digit hex color code.
        isProduction:
          type: boolean
          description: If true, the system environment is a production environment.
      title: updateApiCatalogSystemEnvironment
    postPatchApiCatalogSystemEnvironmentData:
      type: object
      properties:
        id:
          type: string
          description: The system environment's ID.
        name:
          type: string
          description: The system environment's name.
        label:
          type: string
          description: >-
            A lowercase, terminal-friendly identifier for the system
            environment.
        color:
          type: string
          description: A six-digit hex color code.
        description:
          type: string
          description: A description of the system environment.
        isProduction:
          type: boolean
          description: If true, the system environment is a production environment.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the system environment was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the system environment was last updated.
      required:
        - id
        - name
        - label
        - color
        - description
        - isProduction
        - createdAt
        - updatedAt
      description: Information about the system environment.
      title: postPatchApiCatalogSystemEnvironmentData
    updateApiCatalogSystemEnvironmentResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/postPatchApiCatalogSystemEnvironmentData'
      required:
        - data
      title: updateApiCatalogSystemEnvironmentResponse
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    UpdateApiCatalogSystemEnvironmentRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/apiCatalogError'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
      title: UpdateApiCatalogSystemEnvironmentRequestBadRequestError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Request**

```json
undefined
```

**Response**

```json
{
  "data": {
    "id": "23b554c1-c30c-483d-bf98-dbe9ab7b88a0",
    "name": "US-BETA",
    "label": "beta-testing",
    "color": "#FFFFFF",
    "description": "This is a beta environment for testing US data center.",
    "isProduction": false,
    "createdAt": "2026-02-23T06:24:16.000Z",
    "updatedAt": "2026-03-30T09:02:37.190Z"
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0"

	req, _ := http.NewRequest("PATCH", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update a System Environment



**Request**

```json
{
  "name": "US-BETA",
  "description": "This is a beta environment for testing US data center.",
  "color": "#FFFFFF",
  "isProduction": false
}
```

**Response**

```json
{
  "data": {
    "id": "23b554c1-c30c-483d-bf98-dbe9ab7b88a0",
    "name": "US-BETA",
    "label": "beta-testing",
    "color": "#FFFFFF",
    "description": "This is a beta environment for testing US data center.",
    "isProduction": false,
    "createdAt": "2026-02-23T06:24:16.000Z",
    "updatedAt": "2026-03-30T09:02:37.190Z"
  }
}
```

**SDK Code**

```python Update a System Environment
import requests

url = "https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0"

payload = {
    "name": "US-BETA",
    "description": "This is a beta environment for testing US data center.",
    "color": "#FFFFFF",
    "isProduction": False
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update a System Environment
const url = 'https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"US-BETA","description":"This is a beta environment for testing US data center.","color":"#FFFFFF","isProduction":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update a System Environment
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0"

	payload := strings.NewReader("{\n  \"name\": \"US-BETA\",\n  \"description\": \"This is a beta environment for testing US data center.\",\n  \"color\": \"#FFFFFF\",\n  \"isProduction\": false\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update a System Environment
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"US-BETA\",\n  \"description\": \"This is a beta environment for testing US data center.\",\n  \"color\": \"#FFFFFF\",\n  \"isProduction\": false\n}"

response = http.request(request)
puts response.read_body
```

```java Update a System Environment
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"US-BETA\",\n  \"description\": \"This is a beta environment for testing US data center.\",\n  \"color\": \"#FFFFFF\",\n  \"isProduction\": false\n}")
  .asString();
```

```php Update a System Environment
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0', [
  'body' => '{
  "name": "US-BETA",
  "description": "This is a beta environment for testing US data center.",
  "color": "#FFFFFF",
  "isProduction": false
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update a System Environment
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"US-BETA\",\n  \"description\": \"This is a beta environment for testing US data center.\",\n  \"color\": \"#FFFFFF\",\n  \"isProduction\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update a System Environment
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "US-BETA",
  "description": "This is a beta environment for testing US data center.",
  "color": "#FFFFFF",
  "isProduction": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/system-environments/23b554c1-c30c-483d-bf98-dbe9ab7b88a0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```